Be careful with new plugins!

At the end of last year Lev noticed me that his RSS reader couldn’t get my RSS feeds. I though it was problem with his reader and didn’t do anything. But today I tried to see my RSS and got this error:

XML Parsing Error: XML declaration not at start of external entity
Location: http://www.stepanoff.org/wordpress/feed/rss2
Line Number 2, Column 1:< ?xml version="1.0" encoding="UTF-8"?>
^

I made a search and found this topic. It says that the problem in the additional empty row on the top of RSS file and it can add by some plugin. I checked my installed plugins and found en empty row in the plugion deliciousit. After removing the empty row on the bottom of the plugin file RSS started build correctly!
Well, be careful with installation of new plugins. Something can be broken :)

Response to Be careful with new plugins!

  1. Pingback: Michael Stepanov Blog » Blog Archive » Be careful with new plugins!

Leave a Reply

Your email address will not be published. Required fields are marked *

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>

Get Adobe Flash playerPlugin by wpburn.com wordpress themes